<h1 id="currency-exchange">Python-Currency-Exchange</h1>

The name sounds currency-exchange (Python-Currency-Exchange) because `currency-exchnage` is Python3 module, that tells you any exchange of any Amount..

* <a href="#install">INSTALLATION</a><br/>
	* <a href="#upgrade">UPGRADE</a><br/>
* <a href = "#usage">USAGE</a><br/>
	* <a href="#module">Command</a><br/>
	* <a href="#python">Python</a><br/>
* <a href = "#update">UPDATES AND VERSION</a><br/>
	* <a href="#zerozero">Version 1.0</a><br/>
* <a href = "#about">ABOUT</a><br/>
* <a href = "#screen">SCREENSHOTS</a><br/>
* <a href = "#help">HELP</a><br/>
	* <a href = "#app">Application</a><br/>
		* <a href = "#cur">How to see list of currency</a><br/>
		* <a href = "#exch">How to see currency exchange</a><br/>
		* <a href = "#avg">How to see monthly average</a><br/>
	* <a href = "#error">Error</a><br/>
	  * <a href = "#attribute">AttributeError:</a><br/>
* <a href = "#license">LICENSE</a><br/>
* <a href = "#contact">CONTACT</a><br/>
<br/>

<h2 id="install">INSTALLATION</h2>

See the <a href="https://pypi.org/project/currency-exchange/">PyPi</a> page for more information.<br/><br/>

***Python3***<br/>
`pip3 install currency-exchange` <br/>

***Python***<br/>
`pip install currency-exchange` <br/>
<br/>


If you want to download source code (zip file) you can download it <a href="https://github.com/tucnakomet1/Python-Currency-Exchange/archive/master.zip">here</a>.<br/><br/>
Or if you are Linux user type into the terminal:<br/> `git clone https://github.com/tucnakomet1/Python-Currency-Exchange/archive/master.zip`
<br/><br/>


<h3 id="upgrade">UPGRADE</h3>

***Python3***<br/>
`pip3 install currency-exchange --upgrade`<br/>

***Python***<br/>
`pip install currency-exchange --upgrade`<br/>
<br/><br/><br/><br/><br/><br/><br/><br/><br/>



<h2 id="usage">USAGE</h2>

<h3 id="module"> Command </h3>

```shell
usage: exchange [-h] [-v] [-C] [-a] [-e] [-c] [-w]

Module 'currency-exchange' help you to find currency exchange and
monthly currency average.

optional arguments:
  -h, --help        show this help message and exit
  -v, --version     show current version
  -C, --contact     show contact
  -a , --average    show currency monthly average. (ex: exchange -a "USD EUR 5 2020")
  -e , --exchange   show currency exchange. (ex: exchange -e "USD EUR 5")
  -c, --currency    show all currency shortcuts
  -w, --whole       whole = True

Thank you!
↓  ↓  ↓  ↓
Visit my GitHub: https://github.com/tucnakomet1
```
<br/><br/>

<h3 id="python"> Python </h3>

```python
>>> import currency_exchange

##### Get help #####
>>> currency_exchange.help()

##### See license #####
>>> currency_exchange.license()

##### Contact #####
>>> currency_exchange.contact()


##### List of currencies #####
>>> currency_exchange.currencies()

##### Currency exchange#####
>>> currency_exchange.exchange(from, to, amount, whole)
# from = currency (ex: "USD", "EUR", "RUB", ...)
# to = currency (ex: "USD", "EUR", "RUB", ...)
# amount = number of amount (ex: 5, 14, 100, ...)
# whole = True/False

#### Monthly average #####
>>> currency_exchange.average(from, to, amount, year)
# from = currency (ex: "USD", "EUR", "RUB", ...)
# to = currency (ex: "USD", "EUR", "RUB", ...)
# amount = number of amount (ex: 5, 14, 100, ...)
# year = number of CURRENT_YEAR to CURRENT_YEAR-10 (ex: 2020, 2015, 2010)
```
<br/><br/><br/><br/><br/><br/><br/><br/>

<h2 id="update">UPDATES AND VERSION </h2>

<h3 id="zerozero"> Version 1.0 </h3> 

<em>Actuall version</em><br/>
- supported MacOS, Windows and Linux
- See month average
- Get know about currency exchange
<br/><br/><br/><br/><br/><br/><br/><br/><br/>


<h2 id="about">ABOUT</h2>

This scrript is created with the help of language Pyhon3. The name sounds currency-exchange (Python-Currency-Exchange) because the script scraping data from <a href = "https://www.x-rates.com/">x-rates.com</a>. Module `currency-exchange` can show you any exchange of any Amount and current monthly..<br/> I tried to do my best so I hope everything is working. If you have some problem, please let me <a href = "#error">know</a>.<br/>
<br/><br/><br/><br/><br/><br/><br/><br/>

<h2 id="screen">SCREENSHOTS</h2>

![average](https://user-images.githubusercontent.com/55558124/88726119-6a936700-d12d-11ea-912f-c51eaa428a6a.png)<br/>
![currency](https://user-images.githubusercontent.com/55558124/88726126-6c5d2a80-d12d-11ea-9cf2-41619f206faa.png)<br/>
![calculate](https://user-images.githubusercontent.com/55558124/88726122-6bc49400-d12d-11ea-94a2-b3d9b948f9f4.png)<br/>

<h2 id="help">HELP</h2>

* <a href = "#app">Application</a><br/>
	* <a href = "#cur">How to see list of currency</a><br/>
	* <a href = "#exch">How to see currency exchange</a><br/>
	* <a href = "#avg">How to see monthly average</a><br/>
* <a href = "#error">Error</a><br/>
	* <a href = "#attribute">AttributeError:</a><br/>
<br/><br/>

 <h2 id = "app"> Application </h2>


<h3 id="cur"> How to How to see list of currency</h3>

***Command***
```shell
linux@name:~$ exchange -c
```

***Python***

```python
from currency_exchange import currencies

print("\n".join(currencies()))

# >>> OUTPUT <<<

# AUD - Australian Dollar
# BHD - Bahraini Dinar
# BWP - Botswana Pula
# BRL - Brazilian Real
# BND - Bruneian Dollar
# BGN - Bulgarian Lev
# CAD - Canadian Dollar
# ...

```
<br/>

<h3 id="exch"> How to How to see currency exchange</h3>

**To see just result**<br/>

***Command***
```shell
linux@name:~$ exchange -e "USD EUR 5"
```

***Python***

```python
from currency_exchange import exchange

print(" ".join(exchange("USD", "EUR", 5)))

# >>> OUTPUT <<<
# 4.263142 EUR

```

**To see input and result**<br/>

***Command***
```shell
linux@name:~$ exchange -e "USD EUR 5" -w
```

***Python***

```python
print(" ".join(exchange("USD", "EUR", 5, whole=True)))

# >>> OUTPUT <<<
# 5.00 USD = 4.263142 EUR

```
<br/>

<h3 id="avg"> How to How to see monthly average</h3>

***Command***

```shell
linux@name:~$ exchange -a "USD EUR 1 2020"
```

***Python***

```python
from currency_exchange import average

avg = average("USD", "EUR", 1, 2020)

for i in range(0, len(avg)):
    print(" ".join(avg[i]))

# >>> OUTPUT <<<

# Jan 0.900264 – 31 days
# Feb 0.915870 – 29 days
# Mar 0.903361 – 31 days
# Apr 0.919940 – 30 days
# May 0.915750 – 31 days
# Jun 0.888883 – 30 days
# Jul 0.878012 – 28 days
```
<br/>

For more information about usage go <a href="https://github.com/tucnakomet1/Python-Currency-Exchange#usage">here</a>.<br/><br/>
<br/><br/>

 <h2 id = "error"> Error </h2>

<h3 id="attribute"> AttributeError:</h3>

This error means that you used / entered an object that doesn't exist. It is probably typing error.<br/>
Make sure you wrote everything <a href="#usage">correctly</a>.
<br/><br/><br/><br/><br/><br/><br/><br/>

<h2 id="license">LICENSE</h2>

[MIT](https://github.com/tucnakomet1/Python-Currency-Exchange/blob/master/LICENSE.txt)
<br/><br/><br/><br/><br/><br/><br/><br/>

<h2 id="contact">CONTACT</h2>
You can contact me via my <a href="https://mail.google.com/mail/u/0/?view=cm&fs=1&to=tucnakomet@gmail.com&su=Python-Currency-Exchange&&tf=1">gmail</a> address <a href="mailto:tucnakomet@gmail.com">tucnakomet@gmail.com</a>.<br/>
 <br/><br/>
 
 
 <a href = "#currency-exchange"><span title="Go UP!"><img alt="up" src="https://ps.w.org/wpfront-scroll-top/assets/icon.svg?rev=1534312" width="40" height="40" style="border:0px solid;" /></a></span>
  <a href = "https://github.com/tucnakomet1"><span title="GitHub"><img alt="github" src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/91/Octicons-mark-github.svg/1200px-Octicons-mark-github.svg.png" width="40" height="40" style="border:0px solid;" /></a></span>
   <a href = "https://pypi.org/user/Tucnakomet/"><span title="PyPi"><img alt="pypi" src="https://miro.medium.com/max/660/1*2FrV8q6rPdz6w2ShV6y7bw.png" width="40" height="40" style="border:0px solid;" /></a></span>
